Package org.eclipse.mat.ui.internal.browser

# Class Policy

java.lang.Object
org.eclipse.mat.ui.internal.browser.Policy

All Implemented Interfaces:
  `IPolicy`

public class Policy extends Object implements IPolicy

## Constructor Summary

Constructors
Constructor
Description
`Policy()`
`Policy(List<IContextObject> menuContext, String selectionLabel)`
Determine whether to show this query: Global context (no selection or heap available) any context arg - disallow Local context context arg doesn't match available context - disallow no context arg and no heap arg - disallow (no point in operating on a selection)

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(QueryDescriptor query)`
`void`
`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Policy

public Policy(List<IContextObject> menuContext, String selectionLabel)
Determine whether to show this query: Global context (no selection or heap available) any context arg - disallow Local context context arg doesn't match available context - disallow no context arg and no heap arg - disallow (no point in operating on a selection)

Parameters:
  `menuContext` -
  `selectionLabel` -

### Policy

public Policy()

## Method Details

### accept

public boolean accept(QueryDescriptor query)

Specified by:
  `accept` in interface `IPolicy`

### fillInObjectArguments

public void fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)

Specified by:
  `fillInObjectArguments` in interface `IPolicy`